package com.diaoyun.zion.master.enums;

/**
 * 用户类型 1邮箱、2facebook、3手机、4推特）
 */
public enum UserTypeEnum {
    EMAIL(1,"邮箱"),
    FACEBOOK(2,"facebook"),
    TWITTER(3,"推特"),
    PHONE(4,"手机"),
    UN_KNOW(5,"未知")
    ;

    //成员变量（常量）
    private final int code;
    private final String desc;

    //构造方法
    UserTypeEnum(int code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
